Name:           xbacklight
Version:        1.2.3
Release:        %mkrel 3
Summary:        Command-line utility to set the display backlight level
Group:          System/X11
Url:            https://xorg.freedesktop.org/
Source:         https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License:        MIT

BuildRequires:  pkgconfig(xrandr) >= 1.2
BuildRequires:  pkgconfig(xcb-atom)
BuildRequires:  pkgconfig(xcb-aux)

%description
xbacklight is a simple command-line utility to set the backlight level
using the RandR 1.2 BACKLIGHT output property.


%prep
%setup -q

%build
%configure

%make_build

%install
%make_install

%files
%{_bindir}/xbacklight
%defattr(-,root,man)
%{_mandir}/man1/xbacklight.*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.2.3-3.mga9
+ Revision: 1811770
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 1.2.3-2.mga8
+ Revision: 1527314
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jul 15 2019 tv <tv> 1.2.3-1.mga8
+ Revision: 1421685
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-2.mga7
+ Revision: 1301803
- Mageia 7 Mass Rebuild

* Tue Mar 13 2018 tv <tv> 1.2.2-1.mga7
+ Revision: 1208926
- new release

* Wed Jan 20 2016 daviddavid <daviddavid> 1.2.1-5.mga6
+ Revision: 926040
- switch to %%configure2_5x to fix build
- add an URL

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 747406
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-3.mga5
+ Revision: 690549
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.2.1-2.mga4
+ Revision: 540315
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 tv <tv> 1.2.1-1.mga4
+ Revision: 493541
- new release

* Mon Jan 14 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 386563
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 tv <tv> 1.2.0-1.mga3
+ Revision: 297030
- add missing XCB BR
- new release

* Thu Apr 12 2012 pterjan <pterjan> 1.1.2-1.mga2
+ Revision: 230457
- imported package xbacklight


* Thu Dec 09 2010 Thierry Vignaud <tv@mandriva.org> 1.1.2-1mdv2011.0
+ Revision: 617345
- new release

* Thu Dec 02 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.1-9mdv2011.0
+ Revision: 605035
- Rebuild

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 1.1.1-8mdv2010.0
+ Revision: 448641
- new release

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 1.1-7mdv2010.0
+ Revision: 435031
- rebuild

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 1.1-6mdv2009.0
+ Revision: 262254
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.1-5mdv2009.0
+ Revision: 256585
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1-3mdv2008.1
+ Revision: 166448
- Revert to use upstream tarball, build requires and remove non mandatory local patches.
- Updated BuildRequires and resubmit package.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - fix man pages extension

* Thu Jun 21 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1-1mdv2008.0
+ Revision: 42319
- new upstream version (license addition was the only change)

* Thu Jun 21 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.0-1mdv2008.0
+ Revision: 42314
- Import xbacklight

